diff --git a/src/backend/utils/adt/acl.c b/src/backend/utils/adt/acl.c
index fa6b792..2f2758f 100644
*** a/src/backend/utils/adt/acl.c
--- b/src/backend/utils/adt/acl.c
*************** convert_sequence_priv_string(text *priv_
*** 2242,2249 ****
--- 2242,2252 ----
  {
  	static const priv_map sequence_priv_map[] = {
  		{"USAGE", ACL_USAGE},
+ 		{"USAGE WITH GRANT OPTION", ACL_GRANT_OPTION_FOR(ACL_USAGE)},
  		{"SELECT", ACL_SELECT},
+ 		{"SELECT WITH GRANT OPTION", ACL_GRANT_OPTION_FOR(ACL_SELECT)},
  		{"UPDATE", ACL_UPDATE},
+ 		{"UPDATE WITH GRANT OPTION", ACL_GRANT_OPTION_FOR(ACL_UPDATE)},
  		{NULL, 0}
  	};
  
